Skip to main content
`Ctrl`+`K`

# PetscMin

Returns minimum of two numbers

## Synopsis

    #include <petscmath.h>
    type PetscMin(type v1,type v2)

Not Collective

## Input Parameters

- v1 - first value to find minimum of

- v2 - second value to find minimum of

## Note

The type can be integer or floating point value, but cannot be complex

## See Also

`PetscMax()`, `PetscClipInterval()`, `PetscAbsInt()`, `PetscAbsReal()`, `PetscSqr()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/snes/tutorials/ex14.c
src/snes/tutorials/ex5.c
src/tao/unconstrained/tutorials/eptorsion1.c
src/snes/tutorials/ex15.c
src/snes/tutorials/ex55.c
src/snes/tutorials/ex30.c
src/tao/unconstrained/tutorials/eptorsion3.c
src/tao/unconstrained/tutorials/eptorsion2.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex1.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages